Skip to main content
POST
Create new version of agent

Authorizations

X-Api-Key
string
header
required

API Key for authentication. Click here to access API Key

X-Secret-Key
string
header
required

Secret Key for authentication. Click here to access Secret Key

Path Parameters

agent_id
string<uuid>
required

A UUID string identifying the agent definition.

Body

application/json
agent_type
enum<string>

Type of the agent.

Available options:
voice,
text
agent_name
string

Name of the agent.

provider
string

Provider for the agent (e.g., vapi, retell).

api_key
string<uuid>

API key for the agent provider.

assistant_id
string

External identifier for the assistant.

description
string

New description for the agent.

language
string

Language of the agent (ISO 639-1 code). For example, en for English.

knowledge_base
string<uuid> | null

ID of the knowledge base to associate with the agent.

contact_number
string

Contact number for the agent including country code. For example, +1xxxxxxxxxx for USA, +91xxxxxxxxxx for India, etc.

inbound
boolean

Specifies if the agent handles inbound communication.

commit_message
string

Commit message for this new version.

observability_enabled
boolean

Enable or disable observability for the agent.

Response

Agent version created successfully.

message
string
Example:

"Agent version created successfully"

version
object